package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class B18 {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "订单号")
    private String orderId;
    @JSONField(name = "预订日期")
    private String preOrderDate;
    @JSONField(name = "预订人")
    private String preOrderPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "单元号")
    private String unitId;
    @JSONField(name = "发车日期")
    private String departureTime;
    @JSONField(name = "发车站")
    private String departureStation;
    @JSONField(name = "到达站")
    private String arrivalStation;
    @JSONField(name = "费用类型")
    private String feeType;
    @JSONField(name = "结算金额")
    private BigDecimal settlementAmount;
    @JSONField(name = "平台")
    private String part;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public B18() {
    }

    @Override
    public String toString() {
        return "B18{" +
                "id='" + id + '\'' +
                ", orderId='" + orderId + '\'' +
                ", preOrderDate='" + preOrderDate + '\'' +
                ", preOrderPerson='" + preOrderPerson + '\'' +
                ", unitId='" + unitId + '\'' +
                ", departureTime='" + departureTime + '\'' +
                ", departureStation='" + departureStation + '\'' +
                ", arrivalStation='" + arrivalStation + '\'' +
                ", feeType=" + feeType +
                ", settlementAmount=" + settlementAmount +
                ", part='" + part + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPreOrderDate() {
        return preOrderDate;
    }

    public void setPreOrderDate(String preOrderDate) {
        this.preOrderDate = preOrderDate;
    }

    public String getPreOrderPerson() {
        return preOrderPerson;
    }

    public void setPreOrderPerson(String preOrderPerson) {
        this.preOrderPerson = preOrderPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getDepartureTime() {
        return departureTime;
    }

    public void setDepartureTime(String departureTime) {
        this.departureTime = departureTime;
    }

    public String getDepartureStation() {
        return departureStation;
    }

    public void setDepartureStation(String departureStation) {
        this.departureStation = departureStation;
    }

    public String getArrivalStation() {
        return arrivalStation;
    }

    public void setArrivalStation(String arrivalStation) {
        this.arrivalStation = arrivalStation;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
